grk::PluginDecodeCallbackInfo Struct Reference

`#include <plugin_interface.h>`

## Public Member Functions

| PluginDecodeCallbackInfo ()
| PluginDecodeCallbackInfo (std::string input, std::string output, grk_decompress_parameters *decompressorParameters, GRK_CODEC_FORMAT format, uint32_t flags)

## Public Attributes

size_t | deviceId
GROK_INIT_DECOMPRESSORS | init_decompressors_func
std::string | inputFile
std::string | outputFile
GRK_CODEC_FORMAT | decod_format
GRK_SUPPORTED_FILE_FMT | cod_format
grk_codec * | codec
grk_decompress_parameters * | decompressor_parameters
grk_header_info | header_info
grk_image * | image
bool | plugin_owns_image
grk_plugin_tile * | tile
int32_t | error_code
uint32_t | decompress_flags
void * | user_data

## Constructor & Destructor Documentation

## PluginDecodeCallbackInfo() [1/2]

grk::PluginDecodeCallbackInfo::PluginDecodeCallbackInfo | ( |  | ) |

inline

## PluginDecodeCallbackInfo() [2/2]

grk::PluginDecodeCallbackInfo::PluginDecodeCallbackInfo | ( | std::string | input,
|  | std::string | output,
|  | grk_decompress_parameters * | decompressorParameters,
|  | GRK_CODEC_FORMAT | format,
|  | uint32_t | flags
| ) |  |

inline

References grk::grk_read(), and header_info.

## Member Data Documentation

## cod_format

GRK_SUPPORTED_FILE_FMT grk::PluginDecodeCallbackInfo::cod_format

## codec

grk_codec* grk::PluginDecodeCallbackInfo::codec

## decod_format

GRK_CODEC_FORMAT grk::PluginDecodeCallbackInfo::decod_format

## decompress_flags

uint32_t grk::PluginDecodeCallbackInfo::decompress_flags

## decompressor_parameters

grk_decompress_parameters* grk::PluginDecodeCallbackInfo::decompressor_parameters

## deviceId

size_t grk::PluginDecodeCallbackInfo::deviceId

## error_code

int32_t grk::PluginDecodeCallbackInfo::error_code

## header_info

grk_header_info grk::PluginDecodeCallbackInfo::header_info

Referenced by PluginDecodeCallbackInfo().

## image

grk_image* grk::PluginDecodeCallbackInfo::image

## init_decompressors_func

GROK_INIT_DECOMPRESSORS grk::PluginDecodeCallbackInfo::init_decompressors_func

## inputFile

std::string grk::PluginDecodeCallbackInfo::inputFile

## outputFile

std::string grk::PluginDecodeCallbackInfo::outputFile

## plugin_owns_image

bool grk::PluginDecodeCallbackInfo::plugin_owns_image

## tile

grk_plugin_tile* grk::PluginDecodeCallbackInfo::tile

## user_data

void* grk::PluginDecodeCallbackInfo::user_data

The documentation for this struct was generated from the following file:

- plugin_interface.h